Webhooks

Set the webhook

PUT
/v1/webhook

Sets the URL and/or format. The signing secret is made on first use and kept when the URL changes; rotateSecret makes a new one.

Authorization

headerAuthorizationBearer <token>

Authorization: Bearer lsk_live_…

Request Body

application/json
  1. body
url?string

An https URL.

Formaturi
format?string
Value in"lastscanned""17track"
rotateSecret?boolean

Response Body

The webhook.

application/json
  1. response
url?string|null
secret?|

Signs every request: Lastscanned-Signature: t=<unix>,v1=<HMAC-SHA256 of "t.body">.

format?string
Value in"lastscanned""17track"
Example Request
curl -X PUT 'https://api.lastscanned.com/v1/webhook' \  -H 'Content-Type: application/json' \  -d '{  "url": "https://example.com/hooks/tracking",  "format": "lastscanned"}'
Example Response
{  "url": "string",  "secret": "string",  "format": "lastscanned"}